jQuery(function($){

	$("#feedbackMensajesParticipantesAddPersona").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	 var idSexo=  $("#idComboSexo").val();
	 if(undefined == idSexo){
		 $("#idComboSexo").val(0);
	 }
	$("#idComboSexo").rup_combo({
		blank: "",
		source: "/ab61WebAppWar/sexos/verValorCombo",
		sourceParam: {
		    label: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idSexo"
		}
	});
	
  
  $("#formParticipantesModal").rup_form({
		url:"/ab79WebAppWar/solicitantes",
		type : "POST",
		dataType : 'json',
		success : function() {
			$("#feedbackMensajesParticipantesAddPersona").rup_feedback("set",$.rup.i18n.app.mensajes.datos_guardados_OK,"ok");
			bloquearInterfaz();
			window.parent.accederMenu('relexpter');
		},
		error : function() {
			$("#feedbackMensajesParticipantesAddPersona").rup_feedback("set",$.rup.i18n.app.mensajes.datos_guardados_error,"error");
			
			//bloquearInterfaz();
			//window.parent.accederMenu('relexpter');
		},
		validate:{
			rules:{
				"nombre":{required:true},
				"apellido1":{required:true},
				"sexo":{required:true},
				"telefono":{required:true,number:true,maxlength:10},
				"email":{required:true}
				}
			}
	});
  
  $("#btnGuardarAddPersona").click(function(){
  		
	$("#formParticipantesModal").submit();
	  
  });		
});
